Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee5
Class ListenerTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee5.ListenerTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ListenerType<T>

    public class ListenerTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ListenerType<T>

This class implements the `listenerType` xsd type

Original Documentation:

The listenerType indicates the deployment properties for a web
application listener bean.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ListenerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ListenerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<ListenerType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getListenerClass()` Returns the `listener-class` element
`IconType<ListenerType<T>>` | `icon()` Returns the `icon` element
`ListenerType<T>` | `removeAllDescription()` Removes the `description` element
`ListenerType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ListenerType<T>` | `removeAllIcon()` Removes all `icon` elements
`ListenerType<T>` | `removeListenerClass()` Removes the `listener-class` element
`ListenerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ListenerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ListenerType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ListenerType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ListenerType<T>` | `setListenerClass(java.lang.String listenerClass)` If not already created, a new `listener-class` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenerTypeImpl

    public ListenerTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### ListenerTypeImpl

    public ListenerTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ListenerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### setDescriptionList

    public ListenerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ListenerType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ListenerType`

### removeAllDescription

    public ListenerType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ListenerType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ListenerType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### setDisplayNameList

    public ListenerType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ListenerType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ListenerType`

### removeAllDisplayName

    public ListenerType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ListenerType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ListenerType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### icon

    public IconType<ListenerType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ListenerType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ListenerType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ListenerType<T>`
  Returns:
    list of `icon`

### setListenerClass

    public ListenerType<T> setListenerClass(java.lang.String listenerClass)

  If not already created, a new `listener-class` element with the given value will be created. Otherwise, the existing `listener-class` element will be updated with the given value.

  Specified by:
    `setListenerClass` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### removeListenerClass

    public ListenerType<T> removeListenerClass()

  Removes the `listener-class` element

  Specified by:
    `removeListenerClass` in interface `ListenerType<T>`
  Returns:
    the current instance of `ListenerType`

### getListenerClass

    public java.lang.String getListenerClass()

  Returns the `listener-class` element

  Specified by:
    `getListenerClass` in interface `ListenerType<T>`
  Returns:
    the node defined for the element `listener-class`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD